1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

How do I Upgrade PHP 5.0.4-10 to PHP 5.2.1

Discussion in 'Plesk for Linux - 8.x and Older' started by m0rpheu5@, Mar 28, 2007.

  1. m0rpheu5@

    m0rpheu5@ Guest

    0
     
    Guys, i´m needing to Upgrade my PHP version from 5.0.4 to 5.2.1 because many off Php scripts aren´t working, what i have to do to upgrade my PHP without problems, Plesk will continuous working fine?? I´m using fedora.

    Thanks
     
  2. PanchoS

    PanchoS Guest

    0
     
    Same question here using SuSE 9.3...
     
  3. matbeard

    matbeard Guest

    0
     
    Same here (fc4 server from 1and1).

    I've managed to install yum, but it reports that there are no updates available.

    I need at least PHP 5.0.5

    Please help!
     
  4. atomicturtle

    atomicturtle Golden Pleskian

    29
     
    Joined:
    Nov 20, 2002
    Messages:
    2,110
    Likes Received:
    7
    Location:
    Washington, DC
  5. matbeard

    matbeard Guest

    0
     
    Hi. Sounds good. I've added the atomic and plesk-8.1 repositories to yum and tried installing the php51.x86_64 package from the plesk repository.

    The install reported success, but after restarting httpd, phpinfo() still reports version 5.0.4

    Am I missing something here? I feel I'm really close to nailing this.

    Thanks
     
  6. atomicturtle

    atomicturtle Golden Pleskian

    29
     
    Joined:
    Nov 20, 2002
    Messages:
    2,110
    Likes Received:
    7
    Location:
    Washington, DC
    Didja restart httpd? :p
     
  7. matbeard

    matbeard Guest

    0
     
    Yes... restarted httpd, then entire thing... still 5.0.4

    I've now done:
    yum remove php51.x86_64
    yum install php51.x86_64

    All went smoothly, but phpinfo() still reports 5.0.4

    It appears PHP 5.1.4 is being installed somewhere... but I can't figure out where or how to use it.
     
  8. breun

    breun Golden Pleskian

    29
     
    Joined:
    Jun 28, 2005
    Messages:
    1,647
    Likes Received:
    0
    Those php51-* packages distributed by SWsoft are intended for use with SiteBuilder only.
     
  9. m0rpheu5@

    m0rpheu5@ Guest

    0
     
    using the link http://www.atomicorp.com/channels/atomic-bleeding/fedora/4/x86_64/RPMS/ i download all files, and use the command, yum install *.rpm, show me that 14 files will be updated, i taped Y, but show me an error:

    Transaction Summary
    =============================================================================
    Install 13 Package(s)
    Update 13 Package(s)
    Remove 0 Package(s)
    Total download size: 76 M
    Is this ok [y/N]: y
    Downloading Packages:
    Running Transaction Test
    Finished Transaction Test


    Transaction Check Error: file /etc/my.cnf from install of mysql-5.0.27-1.fc4.art conflicts with file from package mysql-4.1.20-1.FC4.1
    file /usr/bin/mysql_tableinfo from install of mysql-5.0.27-1.fc4.art conflicts with file from package mysql-4.1.20-1.FC4.1
    file /usr/share/info/mysql.info.gz from install of mysql-5.0.27-1.fc4.art conflicts with file from package mysql-4.1.20-1.FC4.1
    file /usr/share/man/man1/mysql.1.gz from install of mysql-5.0.27-1.fc4.art conflicts with file from package mysql-4.1.20-1.FC4.1
    file /usr/share/man/man1/mysqlaccess.1.gz from install of mysql-5.0.27-1.fc4.art conflicts with file from package mysql-4.1.20-1.FC4.1
    file /usr/share/man/man1/mysqladmin.1.gz from install of mysql-5.0.27-1.fc4.art conflicts with file from package mysql-4.1.20-1.FC4.1
    file /usr/share/man/man1/mysqldump.1.gz from install of mysql-5.0.27-1.fc4.art conflicts with file from package mysql-4.1.20-1.FC4.1
    file /usr/share/man/man1/mysqlshow.1.gz from install of mysql-5.0.27-1.fc4.art conflicts with file from package mysql-4.1.20-1.FC4.1
    file /usr/share/mysql/charsets/Index.xml from install of mysql-5.0.27-1.fc4.art conflicts with file from package mysql-4.1.20-1.FC4.1
    file /usr/share/mysql/czech/errmsg.sys from install of mysql-5.0.27-1.fc4.art conflicts with file from package mysql-4.1.20-1.FC4.1
    file /usr/share/mysql/danish/errmsg.sys from install of mysql-5.0.27-1.fc4.art conflicts with file from package mysql-4.1.20-1.FC4.1
    file /usr/share/mysql/dutch/errmsg.sys from install of mysql-5.0.27-1.fc4.art conflicts with file from package mysql-4.1.20-1.FC4.1
    file /usr/share/mysql/english/errmsg.sys from install of mysql-5.0.27-1.fc4.art conflicts with file from package mysql-4.1.20-1.FC4.1
    file /usr/share/mysql/estonian/errmsg.sys from install of mysql-5.0.27-1.fc4.art conflicts with file from package mysql-4.1.20-1.FC4.1
    file /usr/share/mysql/french/errmsg.sys from install of mysql-5.0.27-1.fc4.art conflicts with file from package mysql-4.1.20-1.FC4.1
    file /usr/share/mysql/german/errmsg.sys from install of mysql-5.0.27-1.fc4.art conflicts with file from package mysql-4.1.20-1.FC4.1
    file /usr/share/mysql/greek/errmsg.sys from install of mysql-5.0.27-1.fc4.art conflicts with file from package mysql-4.1.20-1.FC4.1
    file /usr/share/mysql/hungarian/errmsg.sys from install of mysql-5.0.27-1.fc4.art conflicts with file from package mysql-4.1.20-1.FC4.1
    file /usr/share/mysql/italian/errmsg.sys from install of mysql-5.0.27-1.fc4.art conflicts with file from package mysql-4.1.20-1.FC4.1
    file /usr/share/mysql/japanese/errmsg.sys from install of mysql-5.0.27-1.fc4.art conflicts with file from package mysql-4.1.20-1.FC4.1
    file /usr/share/mysql/korean/errmsg.sys from install of mysql-5.0.27-1.fc4.art conflicts with file from package mysql-4.1.20-1.FC4.1
    file /usr/share/mysql/norwegian-ny/errmsg.sys from install of mysql-5.0.27-1.fc4.art conflicts with file from package mysql-4.1.20-1.FC4.1
    file /usr/share/mysql/norwegian/errmsg.sys from install of mysql-5.0.27-1.fc4.art conflicts with file from package mysql-4.1.20-1.FC4.1
    file /usr/share/mysql/polish/errmsg.sys from install of mysql-5.0.27-1.fc4.art conflicts with file from package mysql-4.1.20-1.FC4.1
    file /usr/share/mysql/portuguese/errmsg.sys from install of mysql-5.0.27-1.fc4.art conflicts with file from package mysql-4.1.20-1.FC4.1
    file /usr/share/mysql/romanian/errmsg.sys from install of mysql-5.0.27-1.fc4.art conflicts with file from package mysql-4.1.20-1.FC4.1
    file /usr/share/mysql/russian/errmsg.sys from install of mysql-5.0.27-1.fc4.art conflicts with file from package mysql-4.1.20-1.FC4.1
    file /usr/share/mysql/serbian/errmsg.sys from install of mysql-5.0.27-1.fc4.art conflicts with file from package mysql-4.1.20-1.FC4.1
    file /usr/share/mysql/slovak/errmsg.sys from install of mysql-5.0.27-1.fc4.art conflicts with file from package mysql-4.1.20-1.FC4.1
    file /usr/share/mysql/spanish/errmsg.sys from install of mysql-5.0.27-1.fc4.art conflicts with file from package mysql-4.1.20-1.FC4.1
    file /usr/share/mysql/swedish/errmsg.sys from install of mysql-5.0.27-1.fc4.art conflicts with file from package mysql-4.1.20-1.FC4.1
    file /usr/share/mysql/ukrainian/errmsg.sys from install of mysql-5.0.27-1.fc4.art conflicts with file from package mysql-4.1.20-1.FC4.1

    What coulde be? did i do something wrong?
    Thanks
     
  10. atomicturtle

    atomicturtle Golden Pleskian

    29
     
    Joined:
    Nov 20, 2002
    Messages:
    2,110
    Likes Received:
    7
    Location:
    Washington, DC
    probably better to take this thread up on my site, since I only check in here every other day. Thats a curious problem though, something between the 2 rpms are keeping them from recognizing its an update.
     
Loading...